#include <amxmodx>
#include <amxmisc>
#include <common_functions>
#include <whois>

#pragma semicolon 1
#pragma ctrlchar '\'

#define AUTHOR "Lev @ AGHL.RU DevTeam"
#define PLUGIN "Whois Test"
#define VERSION "0.1"


public plugin_init()
{
	register_plugin(PLUGIN, VERSION, AUTHOR);

	register_concmd("whois_test", "StartTest", ADMIN_ADMIN, "");
}

public StartTest(id, level, cid)
{
	// Check if admin has access right
	if (!cmd_access(id, level, cid, 1))
		return PLUGIN_HANDLED;

	WhoisIpQuery("8.8.8.8", "WhoisIpQueryComplete", { 1, 2 }, 2);
	WhoisIpQuery("1.1.1.1", "WhoisIpQueryComplete", { 4, 5 }, 2);

	return PLUGIN_HANDLED;
}

public WhoisIpQueryComplete(result, const ip[], const startIp[], const endIp[], const asNumber[], const descr[], const data[], dataSize, rawAnswer[])
{
	server_print("WhoisIpQueryComplete: %i, %s, %s, %s, %s", result, ip, startIp, endIp, asNumber);
	server_print("descr: %s", descr);
	server_print("data: %i, %i, %i", dataSize, data[0], data[1]);
	server_print("raw:");
	ConsolePrintLongText(0, rawAnswer);
}
